For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETList Channel Menus
              • POSTCreate Channel Menus
              • DELDelete Channel Menus
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsMenus

Create Channel Menus

POST
https://api.bigcommerce.com/stores/:store_hash/v3/channels/:channel_id/channel-menus
POST
/stores/:store_hash/v3/channels/:channel_id/channel-menus
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/channels/1/channel-menus \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "bigcommerce_protected_app_sections": [
> "social",
> "carousel",
> "domains",
> "currencies",
> "notifications",
> "storefront_settings"
> ],
> "custom_app_sections": [
> {
> "title": "Overview",
> "query_path": "overview"
> },
> {
> "title": "Products",
> "query_path": "products"
> },
> {
> "title": "Campaigns",
> "query_path": "campaigns"
> },
> {
> "title": "Settings",
> "query_path": "settings"
> }
> ]
>}'
1{
2 "data": {
3 "bigcommerce_protected_app_sections": [
4 "social",
5 "carousel",
6 "domains",
7 "currencies",
8 "notifications",
9 "storefront_settings"
10 ],
11 "custom_app_sections": [
12 {
13 "title": "Overview",
14 "query_path": "overview"
15 },
16 {
17 "title": "Products",
18 "query_path": "products"
19 },
20 {
21 "title": "Campaigns",
22 "query_path": "campaigns"
23 },
24 {
25 "title": "Settings",
26 "query_path": "settings"
27 }
28 ]
29 },
30 "meta": {}
31}
Creates or replaces the list of control panel side navigation menus for a channel.
Was this page helpful?
Previous

List Channel Menus

Next

Delete Channel Menus

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idlongRequired
The ID of a channel.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
bigcommerce_protected_app_sectionslist of enumsOptional

List of channel-specific control panel menu navigation items and corresponding settings pages an app developer can choose to enable for the subject channel. Protected settings override any settings set in those UI sections at the storewide level. Learn more in the Building Storefront Channels tutorial.

custom_app_sectionslist of objectsOptional

Response

dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.